PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsClear

Removes all options form the database leaving it empty.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsClear(PetscOptions options)

Logically Collective

### Input Parameters

| options | - options database, use NULL for the default global database

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

### See Also

PetscOptionsInsert()

### Level

developer

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages